Bug 1766919 - satellite-change-hostname fails with error "illegal option -- r".
Summary: satellite-change-hostname fails with error "illegal option -- r".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: satellite-change-hostname
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Peter Ondrejka
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 09:45 UTC by Suraj Patil
Modified: 2020-07-20 09:18 UTC (History)
6 users (show)

Fixed In Version: katello-3.14.0-0.4.rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791501 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:26:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28158 Normal Closed satellite-change-hostname fails with error "illegal option 2020-08-26 16:21:58 UTC
Github theforeman foreman-packaging pull 4254 'None' closed Fixes #28158 - Remove csr flag in hostname-change 2020-08-26 16:21:57 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:12 UTC

Description Suraj Patil 2019-10-30 09:45:50 UTC
Description of problem:
Satellite-hostname-change fails with the below error -
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
satellite-change-hostname <newhostname> --username admin --password <adminpassword> -c "new_satellite.crt" -k "new_satellite.key" -r "new_satellite.csr"

Checking custom certificates
/usr/sbin/katello-certs-check: illegal option -- r
Verifies, that the custom SSL certificate files are usable
as part of the Red Hat Satellite installation. When passing filenames use absolute paths.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Version-Release number of selected component (if applicable):
Satellite 6.6

How reproducible:
Try to change the hostname of the satellite server using satellite-change-hostname

Comment 4 Bryan Kearney 2019-11-05 20:32:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28158 has been resolved.

Comment 6 Peter Ondrejka 2020-01-03 16:16:15 UTC
Verified on sat 6.7 snap 7

Comment 9 errata-xmlrpc 2020-04-14 13:26:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.